#pragma once

#include <maps/libs/geosearch_client/include/client.h>
#include <maps/wikimap/mapspro/libs/acl_utils/include/caching_acl.h>
#include <maps/wikimap/mapspro/services/social/src/libs/common/db_pools.h>

namespace maps::wiki {

namespace common {

class ExtendedXmlDoc;

} // namespace common

namespace socialsrv {

struct GlobalsScope {
    explicit GlobalsScope(const common::ExtendedXmlDoc& config);
    ~GlobalsScope();
};

struct Globals
{
    static DbPoolsWithViewTrunk& dbPools();
    static acl_utils::CachingAclChecker& aclChecker();
    static geosearch_client::Client& geosearchClient();
};

} // namespace social

} // namespace maps::wiki
